package com.gic.haoban.manage.service.entity.chat;

import java.io.Serializable;

/**
 * 
 * @ClassName: TabHaobanChatNotice
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年12月01日 17:54:02
 * @Modify
 * @CopyRight 
 */
public class TabChatNotice implements Serializable {

    private static final long serialVersionUID = 2487673259100L;

    private Long id;
    private String wxEnterpriseId;
    private Long chatId;
    private String msg;
    private Integer type;
    /**0待处理1已处理*/
    private Integer statusFlag;
    private java.util.Date createTime;
    private java.util.Date updateTime;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setChatId(Long chatId) {
        this.chatId = chatId;
    }

    public Long getChatId() {
        return chatId;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public String getMsg() {
        return msg;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setCreateTime(java.util.Date createTime) {
        this.createTime = createTime;
    }

    public java.util.Date getCreateTime() {
        return createTime;
    }

    public void setUpdateTime(java.util.Date updateTime) {
        this.updateTime = updateTime;
    }

    public java.util.Date getUpdateTime() {
        return updateTime;
    }
}